package test.com.philisense.www.controller.http.app;

import com.alibaba.fastjson.JSON;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;


import test.base.HttpUtilsForm;

import java.util.*;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import com.philisense.www.common.config.CommonConst;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.core.io.FileSystemResource;
import org.springframework.http.ResponseEntity;

public class TestAreaControllerWithHttpClientForApp  {




            @BeforeEach
            public void setUpTestDataWithinTransaction() {

            // set up test data within the transaction

            }

            @AfterEach
            public void tearDownWithinTransaction() {

            // execute "tear down" logic within the transaction

            }

            @Test
            @Disabled
            public void testAreaDeleteByPrimaryKeyForApp(){
                String id = UUID.randomUUID().toString().replaceAll("-","");
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"area/delete?recordid="+id;
            	String charset = HttpUtilsForm.UTF8;
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doGet(url, charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testAreaSelectByPrimaryKeyForApp(){
                String id = UUID.randomUUID().toString().replaceAll("-","");
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"area/get?recordid="+id;
            	String charset = HttpUtilsForm.UTF8;
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doGet(url, charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testAreaInsertForApp(){
            	
            	Map<String, Object> headerMap = new HashMap<String, Object>();
            	
            	headerMap.put("Content-Type", "application/json");
            	
            	
            	
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"area/insert";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录ID
                params.put("name","name");//名称
                params.put("parentid","parentid");//父id
                params.put("levelcode","levelcode");//层次码
                params.put("icon","icon");//节点图标
                params.put("cls","cls");//节点样式
                params.put("leaf",0);//是否是叶子1是，0否
                params.put("squences",0);//显示顺序
                params.put("levels",0);//所属级别
                params.put("enables",0);//是否启用1启用，0不启用
                params.put("systime",new Date());//系统时间
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                }               
                
            }

            @Test
            @Disabled
            public void testAreaUpdateForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"area/update";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录ID
                params.put("name","name");//名称
                params.put("parentid","parentid");//父id
                params.put("levelcode","levelcode");//层次码
                params.put("icon","icon");//节点图标
                params.put("cls","cls");//节点样式
                params.put("leaf",0);//是否是叶子1是，0否
                params.put("squences",0);//显示顺序
                params.put("levels",0);//所属级别
                params.put("enables",0);//是否启用1启用，0不启用
                params.put("systime",new Date());//系统时间
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testAreaDeleteByMapForApp(){
	        	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"area/deleteByMap";
	        	String charset = HttpUtilsForm.UTF8;
	        	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录ID
                params.put("name","name");//名称
                params.put("parentid","parentid");//父id
                params.put("levelcode","levelcode");//层次码
                params.put("icon","icon");//节点图标
                params.put("cls","cls");//节点样式
                params.put("leaf",0);//是否是叶子1是，0否
                params.put("squences",0);//显示顺序
                params.put("levels",0);//所属级别
                params.put("enables",0);//是否启用1启用，0不启用
                params.put("systime",new Date());//系统时间
	            try {
	                //括号里的是前台发送的url连接
	                String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
	                System.out.println(body);                                                       
	            } catch (Exception e) {
	                e.printStackTrace();
	            } 
                
            }

            @Test
            @Disabled
            public void testAreaUpdateByMapForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"area/updateByMap";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录ID
                params.put("name","name");//名称
                params.put("parentid","parentid");//父id
                params.put("levelcode","levelcode");//层次码
                params.put("icon","icon");//节点图标
                params.put("cls","cls");//节点样式
                params.put("leaf",0);//是否是叶子1是，0否
                params.put("squences",0);//显示顺序
                params.put("levels",0);//所属级别
                params.put("enables",0);//是否启用1启用，0不启用
                params.put("systime",new Date());//系统时间
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testAreaGetOneForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"area/getOne";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录ID
                params.put("name","name");//名称
                params.put("parentid","parentid");//父id
                params.put("levelcode","levelcode");//层次码
                params.put("icon","icon");//节点图标
                params.put("cls","cls");//节点样式
                params.put("leaf",0);//是否是叶子1是，0否
                params.put("squences",0);//显示顺序
                params.put("levels",0);//所属级别
                params.put("enables",0);//是否启用1启用，0不启用
                params.put("systime",new Date());//系统时间
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testAreaGetAllForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"area/getAll";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录ID
                params.put("name","name");//名称
                params.put("parentid","parentid");//父id
                params.put("levelcode","levelcode");//层次码
                params.put("icon","icon");//节点图标
                params.put("cls","cls");//节点样式
                params.put("leaf",0);//是否是叶子1是，0否
                params.put("squences",0);//显示顺序
                params.put("levels",0);//所属级别
                params.put("enables",0);//是否启用1启用，0不启用
                params.put("systime",new Date());//系统时间
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testAreaCountForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"area/count";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录ID
                params.put("name","name");//名称
                params.put("parentid","parentid");//父id
                params.put("levelcode","levelcode");//层次码
                params.put("icon","icon");//节点图标
                params.put("cls","cls");//节点样式
                params.put("leaf",0);//是否是叶子1是，0否
                params.put("squences",0);//显示顺序
                params.put("levels",0);//所属级别
                params.put("enables",0);//是否启用1启用，0不启用
                params.put("systime",new Date());//系统时间
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testAreaQueryPageForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"area/queryPage";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录ID
                params.put("name","name");//名称
                params.put("parentid","parentid");//父id
                params.put("levelcode","levelcode");//层次码
                params.put("icon","icon");//节点图标
                params.put("cls","cls");//节点样式
                params.put("leaf",0);//是否是叶子1是，0否
                params.put("squences",0);//显示顺序
                params.put("levels",0);//所属级别
                params.put("enables",0);//是否启用1启用，0不启用
                params.put("systime",new Date());//系统时间
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testAreaInsertBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();



                //设置 请求参数
                params.put("id","id");//记录ID
                params.put("name","name");//名称
                params.put("parentid","parentid");//父id
                params.put("levelcode","levelcode");//层次码
                params.put("icon","icon");//节点图标
                params.put("cls","cls");//节点样式
                params.put("leaf",0);//是否是叶子1是，0否
                params.put("squences",0);//显示顺序
                params.put("levels",0);//所属级别
                params.put("enables",0);//是否启用1启用，0不启用
                params.put("systime",new Date());//系统时间



                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录ID
                params.put("name","name");//名称
                params.put("parentid","parentid");//父id
                params.put("levelcode","levelcode");//层次码
                params.put("icon","icon");//节点图标
                params.put("cls","cls");//节点样式
                params.put("leaf",0);//是否是叶子1是，0否
                params.put("squences",0);//显示顺序
                params.put("levels",0);//所属级别
                params.put("enables",0);//是否启用1启用，0不启用
                params.put("systime",new Date());//系统时间


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录ID
                params.put("name","name");//名称
                params.put("parentid","parentid");//父id
                params.put("levelcode","levelcode");//层次码
                params.put("icon","icon");//节点图标
                params.put("cls","cls");//节点样式
                params.put("leaf",0);//是否是叶子1是，0否
                params.put("squences",0);//显示顺序
                params.put("levels",0);//所属级别
                params.put("enables",0);//是否启用1启用，0不启用
                params.put("systime",new Date());//系统时间


                list.add(params);


               	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"area/insertBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }

            @Test
            @Disabled
            public void testAreaDeleteBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录ID
                params.put("name","name");//名称
                params.put("parentid","parentid");//父id
                params.put("levelcode","levelcode");//层次码
                params.put("icon","icon");//节点图标
                params.put("cls","cls");//节点样式
                params.put("leaf",0);//是否是叶子1是，0否
                params.put("squences",0);//显示顺序
                params.put("levels",0);//所属级别
                params.put("enables",0);//是否启用1启用，0不启用
                params.put("systime",new Date());//系统时间


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录ID
                params.put("name","name");//名称
                params.put("parentid","parentid");//父id
                params.put("levelcode","levelcode");//层次码
                params.put("icon","icon");//节点图标
                params.put("cls","cls");//节点样式
                params.put("leaf",0);//是否是叶子1是，0否
                params.put("squences",0);//显示顺序
                params.put("levels",0);//所属级别
                params.put("enables",0);//是否启用1启用，0不启用
                params.put("systime",new Date());//系统时间


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录ID
                params.put("name","name");//名称
                params.put("parentid","parentid");//父id
                params.put("levelcode","levelcode");//层次码
                params.put("icon","icon");//节点图标
                params.put("cls","cls");//节点样式
                params.put("leaf",0);//是否是叶子1是，0否
                params.put("squences",0);//显示顺序
                params.put("levels",0);//所属级别
                params.put("enables",0);//是否启用1启用，0不启用
                params.put("systime",new Date());//系统时间

                list.add(params);


            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"area/deleteBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testAreaUpdateBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录ID
                params.put("name","name");//名称
                params.put("parentid","parentid");//父id
                params.put("levelcode","levelcode");//层次码
                params.put("icon","icon");//节点图标
                params.put("cls","cls");//节点样式
                params.put("leaf",0);//是否是叶子1是，0否
                params.put("squences",0);//显示顺序
                params.put("levels",0);//所属级别
                params.put("enables",0);//是否启用1启用，0不启用
                params.put("systime",new Date());//系统时间


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录ID
                params.put("name","name");//名称
                params.put("parentid","parentid");//父id
                params.put("levelcode","levelcode");//层次码
                params.put("icon","icon");//节点图标
                params.put("cls","cls");//节点样式
                params.put("leaf",0);//是否是叶子1是，0否
                params.put("squences",0);//显示顺序
                params.put("levels",0);//所属级别
                params.put("enables",0);//是否启用1启用，0不启用
                params.put("systime",new Date());//系统时间


                list.add(params);


                params = new HashMap<String, Object>();

                //设置 请求参数
                params.put("id","id");//记录ID
                params.put("name","name");//名称
                params.put("parentid","parentid");//父id
                params.put("levelcode","levelcode");//层次码
                params.put("icon","icon");//节点图标
                params.put("cls","cls");//节点样式
                params.put("leaf",0);//是否是叶子1是，0否
                params.put("squences",0);//显示顺序
                params.put("levels",0);//所属级别
                params.put("enables",0);//是否启用1启用，0不启用
                params.put("systime",new Date());//系统时间


                list.add(params);


            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"area/updateBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testexportForAreaForApp() throws IOException {
                    /*
                    // 待下载的文件地址
                    String url = CommonConst.APP_REST_SERVICE_PREFICX+"area/export";
                    ResponseEntity<byte[]> rsp = template.getForEntity(url, byte[].class);
                    System.out.println("文件下载请求结果状态码：" + rsp.getStatusCode());

                    String filename = "客户用户表";
                    // 将下载下来的文件内容保存到本地
                    String targetPath = "path_xxx/"+filename+"_Area.xlsx";
                    Files.write(Paths.get(targetPath), Objects.requireNonNull(rsp.getBody(),
                    "未获取到下载文件"));
                    */
            }

            @Test
            @Disabled
            public void testexportTemplateForAreaForApp() throws IOException {
                    /*
            	    // 待下载的文件地址
                    String url = CommonConst.APP_REST_SERVICE_PREFICX+"area/exportTemplate";
                    ResponseEntity<byte[]> rsp = template.getForEntity(url, byte[].class);
                    System.out.println("文件下载请求结果状态码：" + rsp.getStatusCode());

                    // 将下载下来的文件内容保存到本地
                    String filename = "客户用户表";
                    // 将下载下来的文件内容保存到本地
                    String targetPath = "path_xxx/"+filename+"_Area.xlsx";
                    Files.write(Paths.get(targetPath), Objects.requireNonNull(rsp.getBody(),
                    "未获取到下载文件"));
                    */
            }

            @Test
            @Disabled
            public void testimportExcelForAreaForApp()  {
                /*
            	// 文件上传服务上传接口
                String url = CommonConst.APP_REST_SERVICE_PREFICX+"area/importExcel";
                // 待上传的文件（存在客户端本地磁盘）
                String filename = "客户用户表";
                // 将下载下来的文件内容保存到本地
                String targetPath = "path_xxx/"+filename+"_Area.xlsx";
                // 封装请求参数
                FileSystemResource resource = new FileSystemResource(new File(targetPath));
                MultiValueMap<String, Object> param = new LinkedMultiValueMap<>();
                param.add("file", resource);  //服务端MultipartFile uploadFile
                //param.add("param1", "test");   //服务端如果接受额外参数，可以传递


                // 发送请求并输出结果
                System.out.println("--- 开始上传文件 ---");
                String result = template.postForObject(url, param, String.class);
                System.out.println("--- 访问地址：" + result);
                */
            }

}
